%define upstream_name    Dist-Zilla-PluginBundle-RJBS
%define upstream_version 5.033

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    See what the mantissa for an rjbs-style version is today
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Section)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Dist::Zilla) >= 6.19.0
BuildRequires: perl(Dist::Zilla::App)
BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereqs) >= 1.100.130
BuildRequires: perl(Dist::Zilla::Plugin::CheckExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::CheckPrereqsIndexed)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Contributors)
BuildRequires: perl(Dist::Zilla::Plugin::Git::Remote::Check)
BuildRequires: perl(Dist::Zilla::Plugin::GithubMeta) >= 0.120.0
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver) >= 4.0.0
BuildRequires: perl(Dist::Zilla::Plugin::PromptIfStale)
BuildRequires: perl(Dist::Zilla::Plugin::TaskWeaver) >= 0.93.330
BuildRequires: perl(Dist::Zilla::Plugin::Test::ChangesHasContent)
BuildRequires: perl(Dist::Zilla::Plugin::Test::ReportPrereqs) >= 0.29.0
BuildRequires: perl(Dist::Zilla::PluginBundle::Basic)
BuildRequires: perl(Dist::Zilla::PluginBundle::Filter)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git)
BuildRequires: perl(Dist::Zilla::Pragmas)
BuildRequires: perl(Dist::Zilla::Role::AfterBuild)
BuildRequires: perl(Dist::Zilla::Role::BeforeBuild)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Config::Slicer)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::Easy)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle::PluginRemover) >= 0.103.0
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Pod::Elemental) >= 0.92.970
BuildRequires: perl(Pod::Elemental::PerlMunger) >= 0.200.0
BuildRequires: perl(Pod::Elemental::Transformer::List)
BuildRequires: perl(Pod::Weaver) >= 4.0.0
BuildRequires: perl(Pod::Weaver::Config::Assembler)
BuildRequires: perl(Pod::Weaver::Section::Contributors) >= 0.8.0
BuildRequires: perl(Pod::Weaver::Section::GenerateSection)
BuildRequires: perl(Sub::Exporter::ForMethods)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is the plugin bundle that RJBS uses. It is equivalent to:

  [@Filter]
  bundle = @Classic
  remove = PodVersion
  remove = MetaYAML

  [AutoVersion]
  [MetaJSON]
  [NextRelease]
  [PodWeaver]
  [Repository]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%{make}

%check
%{make} test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Tue Jun 10 2025 tv <tv> 5.33.0-1.mga10
+ Revision: 2190296
- update to 5.033

* Tue Jun 18 2024 tv <tv> 5.32.0-1.mga10
+ Revision: 2074945
- update to 5.032

* Wed Jun 05 2024 tv <tv> 5.31.0-1.mga10
+ Revision: 2070210
- update to 5.031

* Sat Jun 01 2024 tv <tv> 5.30.0-1.mga10
+ Revision: 2069079
- update to 5.030

* Tue May 28 2024 tv <tv> 5.29.0-1.mga10
+ Revision: 2068566
- update to 5.029

* Mon Dec 04 2023 tv <tv> 5.25.0-1.mga10
+ Revision: 2012985
- update to 5.025

* Wed Aug 30 2023 tv <tv> 5.24.0-1.mga10
+ Revision: 1981080
- update to 5.024

* Fri Feb 03 2023 tv <tv> 5.23.0-1.mga9
+ Revision: 1937859
- update to 5.023

* Wed Jan 11 2023 tv <tv> 5.22.0-1.mga9
+ Revision: 1932312
- update to 5.022

* Mon Jan 02 2023 tv <tv> 5.21.0-1.mga9
+ Revision: 1928996
- update to 5.021

* Mon Mar 21 2022 umeabot <umeabot> 5.20.0-2.mga9
+ Revision: 1814726
- Mageia 9 Mass Rebuild

* Mon Jul 05 2021 tv <tv> 5.20.0-1.mga9
+ Revision: 1734782
- update to 5.020

* Tue Jun 29 2021 tv <tv> 5.19.0-1.mga9
+ Revision: 1734226
- update to 5.019

* Wed Jun 23 2021 tv <tv> 5.18.0-1.mga9
+ Revision: 1731848
- update to 5.018

* Wed Jun 16 2021 tv <tv> 5.17.0-1.mga9
+ Revision: 1730884
- update to 5.017

* Sun Apr 04 2021 tv <tv> 5.15.0-1.mga9
+ Revision: 1713146
- update to 5.015

* Fri Mar 19 2021 tv <tv> 5.13.0-1.mga9
+ Revision: 1704812
- update to 5.013

* Tue Nov 03 2020 tv <tv> 5.12.0-1.mga8
+ Revision: 1641944
- update to 5.012

* Wed Feb 12 2020 umeabot <umeabot> 5.10.0-4.mga8
+ Revision: 1494190
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 5.10.0-3.mga7
+ Revision: 1267500
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 5.10.0-2.mga6
+ Revision: 1026058
- Rebuild for perl 5.22.2

* Fri Apr 29 2016 shlomif <shlomif> 5.10.0-1.mga6
+ Revision: 1007727
- update to 5.010

* Fri Feb 19 2016 umeabot <umeabot> 5.9.0-2.mga6
+ Revision: 967649
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 5.9.0-1.mga6
+ Revision: 850029
- update to 5.009

* Wed Oct 15 2014 umeabot <umeabot> 5.4.0-3.mga5
+ Revision: 742500
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.4.0-2.mga5
+ Revision: 684582
- Mageia 5 Mass Rebuild

* Tue Mar 25 2014 jquelin <jquelin> 5.4.0-1.mga5
+ Revision: 608341
- update to 5.004

* Sun Feb 09 2014 sander85 <sander85> 5.3.0-1.mga5
+ Revision: 587541
- update to 5.003

* Mon Oct 21 2013 umeabot <umeabot> 1.17.0-2.mga4
+ Revision: 537525
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.17.0-1.mga4
+ Revision: 487198
- update to 1.017

* Tue Aug 27 2013 sander85 <sander85> 1.16.0-1.mga4
+ Revision: 472368
- update to 1.016

* Wed Jun 26 2013 jquelin <jquelin> 1.15.0-1.mga4
+ Revision: 446933
- update to 1.015

* Fri Jun 07 2013 jquelin <jquelin> 1.14.0-1.mga4
+ Revision: 439223
- update to 1.014

* Sun Jan 13 2013 umeabot <umeabot> 1.13.0-2.mga3
+ Revision: 366674
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.13.0-1.mga3
+ Revision: 342539
- update to 1.013

* Wed Jul 04 2012 jquelin <jquelin> 1.12.0-1.mga3
+ Revision: 267456
- update to 1.012

* Tue Jun 05 2012 jquelin <jquelin> 1.11.0-1.mga3
+ Revision: 255400
- update to 1.011
- update to 1.007

* Mon Feb 28 2011 jquelin <jquelin> 1.6.0-1.mga1
+ Revision: 61698
- update to 1.006

* Thu Jan 27 2011 jquelin <jquelin> 1.0.0-1.mga1
+ Revision: 41813
- adding missing buildrequires:
- mageia rebuild
- imported package perl-Dist-Zilla-PluginBundle-RJBS

